package commons.pfc;

import java.util.ArrayList;
import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.TextView;

public class datos_imagen extends AndromediacommonsActivity {
    /** Se llama cuando se crea la interfaz */
	
	  Button bt_categoria ;
	  TextView categoria ;
	  TextView txt_cat ;
	  DatePicker fecha;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
        setContentView(R.layout.layout_datos_imagen);
        
        fecha = (DatePicker) findViewById(R.id.calendario);
		
		if (datos.fech != null)
			fecha.init(Integer.parseInt(datos.fech[0]), Integer.parseInt(datos.fech[1]), Integer.parseInt(datos.fech[2]), null);
        Button bt_categoria = (Button)findViewById(R.id.bt_anadir_categoria);
  	  	categoria = (TextView)findViewById(R.id.categoria);
  	  	txt_cat = (TextView) findViewById(R.id.txt_listado_categorias);
        
        bt_categoria.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				if((categoria.getText().toString().length() > 0) || !datos.categoria.contains(categoria.getText().toString()))// hay escrita alguna categoria y no la incluyo antes
				{
					datos.categoria.add(categoria.getText().toString());
					String category = "";
					for(int i=0; i<datos.categoria.size(); ++i)
						category = category + datos.categoria.get(i) + ", ";
					txt_cat.setText(category);
					categoria.setText("");
				}
				
			}
		});
        
        
    datos.categoria = new  ArrayList<String>() ;
    }
    
    private Intent intent = new Intent();
    
	public void Click_Gps_Si(View botton)
	{
		rellenar_datos();
		boolean campos = campos_obligatorios();
		
		if(campos)
		{
			intent.setComponent(new ComponentName(this, obtener_coordenadas.class));
			startActivity(intent);
		}
		else
		{
			intent.setComponent(new ComponentName(this, mensaje_campos_obligatorios.class));
        	startActivity(intent);
		}
		
	}
	
	public void Click_Gps_No(View botton)
	{
		rellenar_datos();
		boolean campos = campos_obligatorios();
		
		if(campos)
		{
			intent.setComponent(new ComponentName(this, subir.class));
			startActivity(intent);
		}
		else
		{
			intent.setComponent(new ComponentName(this, mensaje_campos_obligatorios.class));
        	startActivity(intent);
		}
	}
	
	private void rellenar_datos()
	{
		TextView titulo = (TextView) findViewById(R.id.titulos);
		TextView descripcion = (TextView) findViewById(R.id.descripcion);
		//TextView categoria = (TextView) findViewById(R.id.categoria);
		
		TextView otra_info = (TextView) findViewById(R.id.otra_info);
		/****
		 *Si no pongo la condicin de esta manera y asigno al String el valor del TextView
		 *cuando este est vacio, al evaluar que valores tiene cada String no me detecta 
		 *el campo "" como vacio.
		****/
		if(titulo.getText().toString().length() == 0)
			datos.nom_imagen = "-1";
		else
			datos.nom_imagen = titulo.getText().toString();
		if(descripcion.getText().toString().length() == 0)
			datos.descripcion = "-1";
		else
			datos.descripcion = descripcion.getText().toString();
		
		datos.descripcion_corta = otra_info.getText().toString();
		
		
		datos.fecha = fecha.getYear() + "-" + fecha.getMonth() + "-" + fecha.getDayOfMonth();
	}
	
	public boolean campos_obligatorios()
	{
		if(datos.nom_imagen == "-1" || datos.descripcion == "-1" || datos.nom_imagen.length() < 10 || datos.descripcion.length() < 25)
			return false;
		else
			return true;
	}
	
	 
}