package commons.pfc;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.View;

public class modo_captura extends AndromediacommonsActivity {
		 @Override
		 public void onCreate(Bundle savedInstanceState) {
		        super.onCreate(savedInstanceState);
		        
		        setContentView(R.layout.layout_modo_captura);
		        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
		 }
		 
		 Intent intent = new Intent();
		 		 
		 public void Click_Manual(View botton)
		 {
			 Login_Seguridad();
			 datos.rafaga = false;
			 intent.setComponent(new ComponentName(this, seleccion_imagen_individual.class));
			 startActivity(intent);
		 }
		 
		 public void Click_Rafaga(View botton)
		 {
			 Login_Seguridad();
			 datos.rafaga = true;
			 intent.setComponent(new ComponentName(this, seleccion_imagenes_rafaga.class));
			 startActivity(intent);
		 } 
		 
		 public void Click_Cargar_Rafaga(View botton)
		 {
			 Login_Seguridad();
			 datos.rafaga = true;
			 intent.setComponent(new ComponentName(this, seleccion_rafaga.class));
			 startActivity(intent);
			 
		 }
		 
		 public void Click_Wiki_Love(View botton)
		 {
			 Login_Seguridad();
			 datos.rafaga = false;
			 intent.setComponent(new ComponentName(this, menu_love_monuments.class));
			 startActivity(intent);
			 
		 }
		 
		 public void Click_Imagenes_DB(View botton)
		 {
			 Login_Seguridad();
			 datos.rafaga = false;
			 monumentsDB.bd = true;
			 intent.setComponent(new ComponentName(this, obtener_coordenadas.class));
			 startActivity(intent);
		 }
		 
		 /*
		  * Esta funcin lo que hace es copiar de las variables globales donde hemos almacenado el usuario y el password a la clase datos 
		  * para que nunca se pierda la referencia a las credenciales. Este es debido a que cuando vuelvo a una pgina dando atras, devuelvo todas
		  * las variables de la clase datos a su estado original para no perder la lgica de los booleanos con los que accedo a modo de semforo
		  * */
		 private void Login_Seguridad()
		 {
			 
			 datos.credenciales = (user + "," + pass).split(",");
			 
		 }
		 
		 @Override
		    public void onBackPressed() {
		
			 intent.setComponent(new ComponentName(this, AndromediacommonsActivity.class));
			 startActivity(intent);
		    return;
		    }
		 

}
