package commons.pfc;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.channels.FileChannel;
import java.util.ArrayList;

import android.app.Activity;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.media.ExifInterface;
import android.net.Uri;
import android.os.Environment;
import android.provider.MediaStore.MediaColumns;

public class datos extends Activity{
	 String[] credenciales;
	 String path;
	 String nom_imagen;
	 String descripcion;
	 ArrayList <String> categoria;
	 String latitud;
	 String longitud;
	 String altitud;
	 String descripcion_corta;
	 String fecha;
	 String licencia;
	 String email;
	 String path_rafaga;
	 String nombre_rafaga;
	 Boolean subida_manual;
	 Boolean rafaga;
	 Boolean licencia_1;
	 Boolean licencia_2;
	 Boolean licencia_3;
     ArrayList<String> nombre_lista_monumentos;
     Boolean wikimonuments;
     Boolean mapa;
     Boolean monumentosBD;
     String distancia;
     String uri;
     Boolean exist_db;
     Boolean distancia_seleccionada;
     Bitmap aux;
     String[] fech;
     Boolean concurso;
     
	 
	 public datos()
	 {
		 credenciales = null;path="";nom_imagen="";descripcion="";categoria=null;email="";monumentosBD= false;
		 latitud="";longitud="";altitud="";descripcion_corta="";fecha="";licencia=""; uri=""; exist_db = true;
		 path_rafaga="";nombre_rafaga="";licencia_1=false;licencia_2=false;licencia_3=false; distancia="";
		 rafaga=false; nombre_lista_monumentos = new ArrayList<String>(); wikimonuments=false; mapa= false;
		 distancia_seleccionada = false; aux = null; fech=null; concurso = false;
	 }
	 
	 void ReiniciarDatos()
	 {
		 credenciales = null;path="";nom_imagen="";descripcion="";categoria=null;email=""; monumentosBD=false;
		 latitud="";longitud="";altitud="";descripcion_corta="";fecha="";licencia=""; uri=""; exist_db = true;
		 path_rafaga="";nombre_rafaga="";licencia_1=false;licencia_2=false;licencia_3=false; distancia="";
		 rafaga=false; nombre_lista_monumentos = new ArrayList<String>(); wikimonuments=false; mapa= false;
		 distancia_seleccionada = false; aux= null; fech= null; concurso = false;
	 }
	 
	 
	String Nombre_Imagen(String path)
    {
    	String[] desglose_ruta = path.split("/");

    	return  desglose_ruta[desglose_ruta.length -1];
    }
    
    String getPath(Uri uri) {
    	 String[] projection = { MediaColumns.DATA };
    	 Cursor cursor = managedQuery(uri, projection, null, null, null);
    	 int column_index = cursor.getColumnIndexOrThrow(MediaColumns.DATA);
    	 cursor.moveToFirst();
    	 return cursor.getString(column_index);
    } 
    
    void obtener_fecha_exif()
	{
		String fch = "";
        
		try {
			
			ExifInterface exif = new ExifInterface(path);
			
			if (exif.getAttribute(ExifInterface.TAG_DATETIME) != null)
				fch = exif.getAttribute(ExifInterface.TAG_DATETIME);
			
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
        fech = fch.split(" ");
        
        if (fech.length == 1)
        	fech= null;
        else
        	fech= fech[0].split(":");
	}
    
    public String copyFile(String from, String to) throws IOException {    
        File sd = Environment.getExternalStorageDirectory();
        if (sd.canWrite()) {
            int end = from.toString().lastIndexOf("/");
            String str1 = from.toString().substring(0, end);
            String str2 = from.toString().substring(end+1, from.length());
            File source = new File(str1, str2);
            File destination= new File(to, str2);
            if (source.exists()) {
                FileChannel src = new FileInputStream(source).getChannel();
                FileChannel dst = new FileOutputStream(destination).getChannel();
                dst.transferFrom(src, 0, src.size());
                src.close();
                dst.close();
                
                to = destination.getPath();
            }
        }
		return to;
    } 
}
